plot.spec               package:stats               R Documentation

Plotting Spectral Densities

Description:

     Plotting method for objects of class '"spec"'.  For multivariate
     time series it plots the marginal spectra of the series or pairs
     plots of the coherency and phase of the cross-spectra.

Usage:

     ## S3 method for class 'spec':
     plot(x, add = FALSE, ci = 0.95, log = c("yes", "dB", "no"),
          xlab = "frequency", ylab, type = "l", ci.col = "blue",
          main = NULL, sub = NULL,
          plot.type = c("marginal", "coherency", "phase"),
          ci.lty = 3, ...)

Arguments:

       x: an object of class '"spec"'.

     add: logical.  If 'TRUE', add to already existing plot.

      ci: Coverage probability for confidence interval.  Plotting of
          the confidence bar is omitted unless 'ci' is strictly
          positive.

     log: If '"dB"', plot on log10 (decibel) scale (as S-PLUS),
          otherwise use conventional log scale or linear scale. 
          Logical values are also accepted.  The default is '"yes"'
          unless 'options(ts.S.compat = TRUE)' has been set, when it is
          '"dB"'.

    xlab: the x label of the plot.

    ylab: the y label of the plot.

    type: the type of plot to be drawn, defaults to lines.

  ci.col: Colour for plotting confidence bar or confidence intervals
          for coherency and phase.

    main: overall title for the plot.

     sub: a sub title for the plot.

plot.type: For multivariate time series, the type of plot required. 
          Only the first character is needed.

  ci.lty: line type for confidence intervals for coherency and phase.

     ...: Further graphical parameters.

See Also:

     'spectrum'

